Bug 639288 - Left navigation has two auto groups of 'JBossAS Servers'
Left navigation has two auto groups of 'JBossAS Servers'
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: Charles Crouch
Sunil Kondkar
:
Depends On:
Blocks: gwt-tree jon3 jon3-sprint1 715334
  Show dependency treegraph
 
Reported: 2010-10-01 07:41 EDT by Rajan Timaniya
Modified: 2015-02-01 18:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:58:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (89.99 KB, image/png)
2010-10-01 07:41 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Rajan Timaniya 2010-10-01 07:41:18 EDT
Created attachment 450985 [details]
screenshot

Description of problem:
Left navigation has two auto groups of 'JBossAS Servers' (with same name), one is for Jboss AS 4.x and second is for Jboss AS 5.x

Version-Release number of selected component (if applicable):
ci-rhq-master build #352
http://hudson-qe.rhq.rdu.redhat.com:8080/view/RHQ/job/ci-rhq-master/352/

How reproducible:
Always

Steps to Reproduce:
1) Install Jboss AS 5.0 
2) Install RHQ latest build (ci-rhq-master build #352)
3) Log-in to RHQ
4) Go to inventory and observe left-nav for 'Jboss AS' auto groups
  
Actual results:
Left navigation has two auto groups of 'JBossAS Servers' (with same name), one is for Jboss AS 4.x and second is for Jboss AS 5.x

Expected results:
Left navigation should differentiate between Jboss AS 4.x and 5.x auto groups.

Additional info:
Please refer attached screenshot
Comment 1 John Mazzitelli 2011-02-17 14:28:39 EST
the one possible solution is to put the plugin name in parens if its a dup name. 

however, how many people (assigned from testers and devs) actually run both AS4 and AS5 on the same box? it probably is not that common, thus i am lowering severity.

FYI: for our new jboss 7 plugin, we should not use the same type name to avoid this kind of thing
Comment 2 Charles Crouch 2011-05-16 10:29:31 EDT
We need to be careful that the jbas5 plugin will also likely discover jbas6 servers as well as jbas5 ones. Not sure whether a fix to the tree is needed or an update to the resource type name
Comment 3 Ian Springer 2011-05-16 12:19:56 EDT
I fixed this a while ago. The name of the autogroup tree node is now suffixed with the plugin name when disambiguation is required.

Charles, I agree it would nice to rename the as5 restype to "JBoss AS 5/6 Server" or something, but we currently have no support for renaming resource types. The support I added recently for moving types to a new location in the type hierarchy assumes the type names have not changed.
Comment 4 Mike Foley 2011-05-24 09:29:44 EDT
verified
Comment 6 Heiko W. Rupp 2013-09-03 12:58:12 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.